var cookiename="MapView";
var iconSize = new google.maps.Size(24,24);
var iconOrigin = new google.maps.Point(0,0);

function setCookie(c_name,value,expiredays)
{
var exdate=new Date();
exdate.setDate(exdate.getDate()+expiredays);
document.cookie=c_name+"="+escape(value)+
((expiredays==null) ? "" : ";expires="+exdate.toGMTString());
}

function eventHandler()
{
var cookietext = cookiename+"="+map.getCenter().lat()+"|"+map.getCenter().lng()+"|"+map.getZoom()+"|"+map.getMapTypeId()+";";
setCookie(cookiename,cookietext,7);
}

function om(index,lat,lon,width,height,xOffset,yOffset,text,marker)
{
   var imageURL = "OwnMarkers/"+marker+".png";
   var myLatLng = new google.maps.LatLng(lat,lon);

   ownMarker[index] = new Aircraft(map, index, imageURL, width, height, xOffset, yOffset, 0, 
                              text, "", myLatLng, 2, 0);
}

function getIconOffsets(imageURL)
{
   var aircraftHeading = imageURL.substring(imageURL.length-8,imageURL.length-4);

   this.xOffset = 0;
   this.yOffset = 0;

if (aircraftHeading == "0000")
{
   this.xOffset = -10;
   this.yOffset = -28;
}
if (aircraftHeading == "0225")
{
   this.xOffset = -5;
   this.yOffset = -22;
}
if (aircraftHeading == "0450")
{
   this.xOffset = 0;
   this.yOffset = -19;
}
if (aircraftHeading == "0675")
{
   this.xOffset = 4;
   this.yOffset = -18;
}
if (aircraftHeading == "0900")
{
   this.xOffset = 2;
   this.yOffset = -12;
}
if (aircraftHeading == "1125")
{
   this.xOffset = -2;
   this.yOffset = -6;
}
if (aircraftHeading == "1350")
{
   this.xOffset = -3;
   this.yOffset = -1;
}
if (aircraftHeading == "1575")
{
   this.xOffset = -6;
   this.yOffset = 0;
}
if (aircraftHeading == "1800")
{
   this.xOffset = -12;
   this.yOffset = 4;
}
if (aircraftHeading == "2250")
{
   this.xOffset = -21;
   this.yOffset = -1;
}
if (aircraftHeading == "2025")
{
   this.xOffset = -19;
   this.yOffset = 0;
}
if (aircraftHeading == "2475")
{
   this.xOffset = -25;
   this.yOffset = -4;
}
if (aircraftHeading == "2700")
{
   this.xOffset = -25;
   this.yOffset = -10;
}
if (aircraftHeading == "2925")
{
   this.xOffset = -25;
   this.yOffset = -14;
}
if (aircraftHeading == "3150")
{
   this.xOffset = -19;
   this.yOffset = -21;
}
if (aircraftHeading == "3375")
{
   this.xOffset = -18;
   this.yOffset = -24;
}

}

// create a plane icon and its label
function lb(index,lat,lon,alt,labelHTML,detailsHTML,imageURL)
{
   var offsets = new getIconOffsets(imageURL);

   var myLatLng = new google.maps.LatLng(lat,lon);
   mapMarkers[index] = new Aircraft(map, index, imageURL, 24, 24, offsets.xOffset, offsets.yOffset, alt, 
                              labelHTML, detailsHTML, myLatLng, Lbls, lblTrns);
}

function getCookie(c_name)
{
  google.maps.event.addListener(map, 'maptypeid_changed', eventHandler);
  google.maps.event.addListener(map, 'drag', eventHandler);
  google.maps.event.addListener(map, 'dragend', eventHandler);

  if (document.cookie.length>0)
  {
    cookieText = unescape(document.cookie);
    c_start=document.cookie.indexOf(c_name+"=");

    if (c_start!=-1)
    {
      c_start=c_start+c_name.length+1;
      c_end=cookieText.indexOf(";",c_start);

      if (c_end!=-1)
      {
        c_end=cookieText.length;
        c_start=cookieText.lastIndexOf(c_name+"=");
        c_start=c_start+c_name.length+1;
        c_end=cookieText.indexOf("|",c_start);
        lat=cookieText.substring(c_start,c_end);
        c_start=c_end+1;
        c_end=cookieText.indexOf("|",c_start);
        lon=cookieText.substring(c_start,c_end);
        c_start=c_end+1;
        c_end=cookieText.indexOf("|",c_start);
        zoom=cookieText.substring(c_start,c_end);
        c_start=c_end+1;
        c_end=cookieText.indexOf(";",c_start);
        mapType=cookieText.substring(c_start,c_end);
        zoomLvl=parseInt(zoom); 

        var mapTypeId = google.maps.MapTypeId.ROADMAP;
        if (mapType=="satellite") { mapTypeId = google.maps.MapTypeId.SATELLITE; }
        if (mapType=="hybrid") { mapTypeId = google.maps.MapTypeId.HYBRID; }
        if (mapType=="terrain") { mapTypeId = google.maps.MapTypeId.TERRAIN;}

        map.setZoom(zoomLvl);
        map.setCenter(new google.maps.LatLng(lat,lon));
        map.setMapTypeId(mapTypeId);

        return "";
      }
    }
  }

map.setZoom(initZoomLvl);
map.setCenter(mapCenter);

return "";
}

function showTooltip(marker)
{
  if (Lbls != 1)
  {
    return;
  }
  tooltip.innerHTML = marker.tooltip;
  var point=map.getCurrentMapType().getProjection().fromLatLngToPixel(map.getBounds().getSouthWest(),map.getZoom());
  var offset=map.getCurrentMapType().getProjection().fromLatLngToPixel(marker.getPoint(),map.getZoom());
  var anchor=marker.getIcon().iconAnchor;
  var width=marker.getIcon().iconSize.width;

  var pos = new GControlPosition(G_ANCHOR_BOTTOM_LEFT, new GSize(offset.x - point.x - anchor.x + width,- offset.y + point.y +anchor.y)); 

  pos.apply(tooltip);
  tooltip.style.visibility="visible";
}

